// ====================================================================
// Allan CORNET
// Copyright DIGITEO 2008
// ====================================================================
root_path = getenv('DDE_TOOLBOX_PATH','');
if  root_path <> '' then
  exec(root_path+'loader.sce');
end
// ====================================================================
test_path = root_path + 'tests' + filesep() + 'unit_tests' + filesep();
// ====================================================================

ierr = execstr('winopen(''Excel'');','errcatch');
if ierr <> 0 then pause,end

// Wait Excel
sleep(2000);

res = ddeopen('Excel','[Classeur1]Feuil1');
if res <> %T then pause,end

// minimize Excel
res = ddeexec('[App.Minimize]');
if res <> %T then pause,end

STR1 = '[1 2 3]';
res = ddepoke('L1C2', STR1);
if res <> %T then pause,end
	
STR2 = 'Scilab test';
res = ddepoke('L2C2', STR2);
if res <> %T then pause,end

command_line = '[SELECT(""L2C2"")][FONT.PROPERTIES(,""Bold"")]';
res = ddeexec(command_line);
if res <> %T then pause,end	
		
EXCEL_FILE = TMPDIR + '\DDE_TEST2.xls';
if fileinfo(EXCEL_FILE) <> [] then
  mdelete(EXCEL_FILE);
end

command_line = '[SAVE.AS(""' + EXCEL_FILE + '"",1,"""",FALSE,"""",FALSE)]';
res = ddeexec(command_line);
if res <> %T then pause,end	
	
// maximize Excel
res = ddeexec('[App.Maximize]');
if res <> %T then pause,end	
	
res = ddeexec('[Quit()]');
if res <> %T then pause,end	
	
res = ddeclose();
if res <> %T then pause,end	

// Wait Excel quit
sleep(2000);

if fileinfo(EXCEL_FILE) == [] then pause,end

// ====================================================================
