// ====================================================================
// Allan CORNET
// Copyright DIGITEO 2008
// ====================================================================
root_path = getenv('DDE_TOOLBOX_PATH','');
if  root_path <> '' then
  exec(root_path+'loader.sce');
end
// ====================================================================
test_path = root_path + 'tests' + filesep() + 'unit_tests' + filesep();
// ====================================================================

excel_file = test_path + 'DDE_test1.xls';
ierr = execstr('winopen(""' + excel_file +"'');",'errcatch');
if ierr <> 0 then pause,end

// Wait Excel
sleep(2000);

res = ddeopen('Excel','');
if res <> %T then pause,end

res = ddeexec('[App.Minimize]');
if res <> %T then pause,end 

Result = ddereq('L1C2');
if Result <> '2' then pause,end;
  
Result = ddereq('L2C2');
if Result <> '5' then pause,end;

Result = ddereq('L4C1');
if Result <> 'Scilab string' then pause,end;

res = ddeexec('[App.Maximize]');
if res <> %T then pause,end 

res = ddeexec('[Quit()]');
if res <> %T then pause,end 
	
res = ddeclose();
if res <> %T then pause,end   

// ====================================================================
